import re
import json
from AbstractDataObject import AbstractDataObject


class StructuredDataObject(AbstractDataObject):
    def __init__(self, topicPart):
        super().__init__(topicPart)
        self.keyValuePairs = {}

    def add(self, key, value):
        self.keyValuePairs[key] = value

    def getPayload(self):
        return json.dumps(self.keyValuePairs)
